{
	"name": "table/common/assignment.json",
	"table_name": "assignment",
	"table_prefix": "asn",
	"unique": [],
	"record_type": [""],
	"table_name_language": {
		"": "Assignment"
	},
	"default_field": "table/prf/default_field.json",
	"default_order": [
		{
			"field": "title_id",
			"order": ">"
		}
	],
	"calculated_field": [],
	"field": [
		{
			"field_name": "title_id",
			"field_type": "varchar",
			"constraint": ["index"],
			"field_length": 160,
			"not_allowed_value": [""]
		},
		{
			"field_name": "person_id",
			"field_type": "varchar",
			"field_length": 80,
			"foreign_key": [
				{
					"linked_field": "record_id",
					"linked_table": "person",
					"link_type": "prevent delete"
				}
			],
			"not_allowed_value": [""],
			"nullable": true
		},
		{
			"field_name": "article_id",
			"field_type": "varchar",
			"field_length": 80,
			"foreign_key": [
				{
					"linked_field": "title_id",
					"linked_table": "article",
					"link_type": "prevent delete"
				}
			],
			"not_allowed_value": [""],
			"nullable": true
		},
		{
			"field_name": "assignment_type",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "assignment_status",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "content",
			"field_type": "text"
		}
	]
}
